[Risolto]NOn è possibile installare tutti gli aggiornamenti

Problemi riscontrati durante l'installazione di Ubuntu, degli aggiornamenti e degli avanzamenti del sistema.

Re: [Risolto]NOn è possibile installare tutti gli aggiorname

Messaggioda corradoventu » martedì 11 giugno 2019, 8:42

Strano che tu abbia config-4.15.0-44-generic e System.map-4.15.0-44-generic ma non initrd corrispondente e che quindi grub prenda il 4.15.0-43
a questo punto devi chiedere a qualcuno che ci capisce!!!
forse dovresti aprire una nuova discussione.
Con o senza religione, i buoni si comportano bene e i cattivi male, ma ci vuole la religione per far comportare male i buoni. (Steven Weinberg)
PC di casa: https://drive.google.com/folderview?id= ... sp=sharing
Avatar utente
corradoventu
Entusiasta Emergente
Entusiasta Emergente
 
Messaggi: 1575
Iscrizione: aprile 2008
Località: Bogliasco (GE) o Rezzoaglio (GE)
Desktop: GNOME
Distribuzione: Ubuntu 18.04, 19.04, 19.10
Sesso: Maschile

Re: [Risolto]NOn è possibile installare tutti gli aggiorname

Messaggioda et4beta » martedì 11 giugno 2019, 9:54

E' possibile che nell'aggiornamento del kernel .44 sia rimasto indietro un pacchetto.
Prova a fare così:
1) Installa synaptic da terminale col comando:
sudo apt install synaptic

2) Installa il filtro rapido di synaptic col comando:
sudo apt install apt-xapian-index

3) Lancia synaptic, nella sua colonna di sinistra controlla che sia selezionato "Tutti", poi nella finestra filtro rapido digita "linux-"(senza virgolette).
4) nell'elenco dei pacchetti dei kernel che ti verrà presentato sotto prendi un appunto di quelli del 45.15.0-43 che sono installati(casella di spunta colorata) poi cerca quelli installati della 45.15.0-44 e confronta. E' molto probabile che della -44 ve ne sia installato uno in meno, selezionalo e fallo installare. Oppure seleziona tutti quelli della -44 corrispondenti a quelli installati della -43 e fai installare/reinstallare tutti.
L'update-grub dovrebbe essere eseguito in automatico e lo vedi sul risultato del comando, Se non lo vedessi dallo tu manualmente(sudo update-grub).
Riavvia Ubuntu e dai il comando "uname -a" per vedere che kernel è stato caricato.
Linux User #485103 - Ubuntu User #38220 - Desktop: MoBo Asus X99-A - Intel i7 5820K - RAM G.Skill Ripjaws V DDR4 32 Gb - GPU Asus STRIX Nvidia GTX 970 - Monitor Asus MG278Q - SSD Samsung 970 EVO Plus M.2 PCIe NVMe 500 Gb - SSD Samsung 850 EVO 500 Gb + 3 HDD (2 Seagate 2Tb+ 1 WD 2Tb) - / - Asus TUF Gaming FX705GE - i7 8750H - RAM 16 Gb - / - Asus K55VD i7 3610QM RAM 8Gb.
Avatar utente
et4beta
Rampante Reduce
Rampante Reduce
 
Messaggi: 7310
Iscrizione: gennaio 2008
Località: Ancona
Desktop: Gnome - (19.04 Cinnamon)
Distribuzione: 16.04-18.04-19.04-19.10 (NO UEFI)

Re: [Risolto]NOn è possibile installare tutti gli aggiorname

Messaggioda ivantu » martedì 11 giugno 2019, 10:13

domanda..
i pacchetti del kernel linux-image 4.15.0-51-generic aggiornato è installato?

se riesce, con quale kernel accede il sistema?

quali pacchetti grub sono installati?
Codice: Seleziona tutto
dpkg -l | grep grub


il sistema è un 32 bit?

qualche giorno fa è arrivato l'aggiornamento di update-notifier.
versione installata di
Codice: Seleziona tutto
dpkg -l | grep update-no
Buona giornata utenti del forum. :ciao: ivantu
Avatar utente
ivantu
Rampante Reduce
Rampante Reduce
 
Messaggi: 5190
Iscrizione: giugno 2013
Desktop: Lubuntu
Distribuzione: 18.04.2 LTS, 19.04
Sesso: Maschile

Re: [Risolto]NOn è possibile installare tutti gli aggiorname

Messaggioda sergio-46 » martedì 11 giugno 2019, 11:27

Seguendo le indicazioni di et4beta sono riuscito, mettendo le spunte, ad installare la nuova versione 4.15.0.51.
Purtroppo ora non riesco più a collegarmi in internet tramite Lubuntu (forse la chiavetta di rete Tp link TL-WN823N non viene riconosciuta.
Attualmente sto usando Windows XP.
Sapete come rimediare o devo chiedere in altro settore (driver e periferiche) sperando che il mago Thece possa aiutarmi come ha fatto per il kernel precedente (vedasi viewtopic.php?f=9&t=630334) ?
Grazie!
sergio-46
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 273
Iscrizione: aprile 2014
Distribuzione: Lubuntu 18.04.2 LTS (dualboot XP)
Sesso: Maschile

Re: [Risolto]NOn è possibile installare tutti gli aggiorname

Messaggioda derma » martedì 11 giugno 2019, 11:33

@sergio-46


So che quanto sto scrivendo non risolverà il tuo problema... ma tu ti "inseristi" in un 3D aperto da un altro utente (...non è questo mio un rimprovero) e perciò mi permetto di scriverlo... ma chi te lo fece fare di installare il nuovo kernel?... non è che avendo sempre l'ultima "novità" ottieni di più, almeno non per quanto riguarda certi aspetti aventi a che fare con l'hardware, a maggior ragione se, considerando il caso in questione, il kernel precedente non ti creava problemi di qualsivoglia natura, oppure te ne creava qualcuno ma non così noioso da andarsi ad impelagare in una situazione simile... sempre meglio attenersi alla politica/filosofia "non aggiustare quello che non è rotto" (...oppure "non aggiustare ciò che funziona").


P.S.: In pratica, ti andasti a cercare/creare un problema lì dove prima non c'era.
__Ŧ__
'\°°/'
Γı /\ ı\   |7 Γı Γı Γı -|-
Avatar utente
derma
Rampante Reduce
Rampante Reduce
 
Messaggi: 7037
Iscrizione: settembre 2006
Località: Sicilia
Distribuzione: Ubuntu 15.10 (Wily Werewolf)

Re: [Risolto]NOn è possibile installare tutti gli aggiorname

Messaggioda sergio-46 » martedì 11 giugno 2019, 12:00

@derma
Hai ragione, ma non sono in grado di valutare quando sia doveroso o meno un certo aggiornamento, per cui di norma mi affido ai compilatori di linux sperando che abbiano valutato i pro e i contro!
Ora faccio un quesito, nel settore "driver e periferiche", per risolvere il mio attuale problema.
Saluti.
sergio-46
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 273
Iscrizione: aprile 2014
Distribuzione: Lubuntu 18.04.2 LTS (dualboot XP)
Sesso: Maschile

Re: [Risolto]NOn è possibile installare tutti gli aggiorname

Messaggioda caturen » martedì 11 giugno 2019, 12:11

sergio-46 Immagine ha scritto:@derma
Hai ragione, ma non sono in grado di valutare quando sia doveroso o meno un certo aggiornamento, per cui di norma mi affido ai compilatori di linux sperando che abbiano valutato i pro e i contro!
Ora faccio un quesito, nel settore "driver e periferiche", per risolvere il mio attuale problema.
Saluti.
non hai bisogno di risolvere nulla: basta che al grub fai partire il sistema con il kernel funzionante ed una volta entrato elimini (da synaptic) il kernel aggiornato che da problemi cioè il 4.15.0.51. Come ti è già stato scritto serve a poco ad avere un kernel aggiornato se questo crea problemi: sempre meglio restare con quello che funziona di sicuro ;)
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 15314
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: [Risolto]NOn è possibile installare tutti gli aggiorname

Messaggioda sergio-46 » martedì 11 giugno 2019, 12:37

[quote="caturen [url=https://forum.ubuntu-it.org/viewtopic.php?p=5138396#p5138396]
non hai bisogno di risolvere nulla: basta che al grub fai partire il sistema con il kernel funzionante ed una volta entrato elimini (da synaptic) il kernel aggiornato che da problemi cioè il 4.15.0.51. Come ti è già stato scritto serve a poco ad avere un kernel aggiornato se questo crea problemi: sempre meglio restare con quello che funziona di sicuro ;)[/quote]
Prendo atto e mi adeguerò se non troverò soluzioni al problema del driver per la chiavetta di rete.
Grazie!
sergio-46
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 273
Iscrizione: aprile 2014
Distribuzione: Lubuntu 18.04.2 LTS (dualboot XP)
Sesso: Maschile

Re: [Risolto]NOn è possibile installare tutti gli aggiorname

Messaggioda corradoventu » martedì 11 giugno 2019, 13:20

Codice: Seleziona tutto
uname -a
ti dice che sei con il 4.15.0.51?
un nuovo kernel DEVE funzionare, se non funziona non bisogna nascondere la testa sotto la sabbia ma capire perché e in caso aprire un bug.
se non si è capaci di aprire un bug bisogna fornire il massimo di informazioni a chi ha voglia di farlo.

Se su google cerchi 'tp link tl-wn823n non funziona' trovi varie discussioni, vedi un po se ti aiutano.
Con o senza religione, i buoni si comportano bene e i cattivi male, ma ci vuole la religione per far comportare male i buoni. (Steven Weinberg)
PC di casa: https://drive.google.com/folderview?id= ... sp=sharing
Avatar utente
corradoventu
Entusiasta Emergente
Entusiasta Emergente
 
Messaggi: 1575
Iscrizione: aprile 2008
Località: Bogliasco (GE) o Rezzoaglio (GE)
Desktop: GNOME
Distribuzione: Ubuntu 18.04, 19.04, 19.10
Sesso: Maschile

Re: [Risolto]NOn è possibile installare tutti gli aggiorname

Messaggioda et4beta » martedì 11 giugno 2019, 13:26

Mi dispiace che la procedura che ti ho indicato ti abbia causato un ulteriore problema, ma lo scopo delle mie indicazioni era quello di sbloccare quel kernel -44 che per una qualche ragione si era "incastrato" è non permetteva ulteriori aggiornamenti.
Ma tralasciando recriminazioni su cosa fosse meglio fare o non fare, anche perché come hai giustamente osservato non potevi saperlo a priori, puoi avviare con il vecchio kernel se funzionante, ed eventualmente attendere nuovi aggiornamenti che risolvano. Devi solo evitare che in occasione dei prossimi aggiornamenti del kernel venga eseguito l'autoremove automatico che ti si porterebbe via il kernel più vecchio(sempre che questo sia funzionante). Ma non sarebbe comunque un problema perché potresti reinstallarlo da synaptic ed avviare da quello dalle opzioni avanzate del menu del grub.
Nel frattempo puoi benissimo ricorrere al supporto su driver e periferiche.

Nell'inviare questo post ho visto che ce n'era già uno nuovo di "corradoventu", con ottimi suggerimenti che condivido appieno.
Linux User #485103 - Ubuntu User #38220 - Desktop: MoBo Asus X99-A - Intel i7 5820K - RAM G.Skill Ripjaws V DDR4 32 Gb - GPU Asus STRIX Nvidia GTX 970 - Monitor Asus MG278Q - SSD Samsung 970 EVO Plus M.2 PCIe NVMe 500 Gb - SSD Samsung 850 EVO 500 Gb + 3 HDD (2 Seagate 2Tb+ 1 WD 2Tb) - / - Asus TUF Gaming FX705GE - i7 8750H - RAM 16 Gb - / - Asus K55VD i7 3610QM RAM 8Gb.
Avatar utente
et4beta
Rampante Reduce
Rampante Reduce
 
Messaggi: 7310
Iscrizione: gennaio 2008
Località: Ancona
Desktop: Gnome - (19.04 Cinnamon)
Distribuzione: 16.04-18.04-19.04-19.10 (NO UEFI)

Re: [Risolto]NOn è possibile installare tutti gli aggiorname

Messaggioda caturen » martedì 11 giugno 2019, 14:03

Devi solo evitare che in occasione dei prossimi aggiornamenti del kernel venga eseguito l'autoremove automatico
non esiste nessun autoremove automatico del sistema: i kernel che vengono installati con gli aggiornamenti del sistema rimangono sempre installati (infatti a volte vanno ad intasare la partizione di boot -chi ce l'ha- ed impediscono il normale funzionamento del sistema). I vecchi kernel vengono rimossi solo se l'utente da l'ok di farlo.
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 15314
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: [Risolto]NOn è possibile installare tutti gli aggiorname

Messaggioda derma » martedì 11 giugno 2019, 14:13

caturen Immagine ha scritto:
Devi solo evitare che in occasione dei prossimi aggiornamenti del kernel venga eseguito l'autoremove automatico
non esiste nessun autoremove automatico del sistema: i kernel che vengono installati con gli aggiornamenti del sistema rimangono sempre installati (infatti a volte vanno ad intasare la partizione di boot -chi ce l'ha- ed impediscono il normale funzionamento del sistema). I vecchi kernel vengono rimossi solo se l'utente da l'ok di farlo.




Confermo...

Codice: Seleziona tutto
~
[15:10:40] >  dpkg --list | grep linux-image
ii  linux-image-4.4.0-137-generic                4.4.0-137.163                   amd64        Linux kernel image for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-4.4.0-138-generic                4.4.0-138.164                   amd64        Linux kernel image for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-4.4.0-139-generic                4.4.0-139.165                   amd64        Linux kernel image for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-4.4.0-140-generic                4.4.0-140.166                   amd64        Linux kernel image for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-4.4.0-141-generic                4.4.0-141.167                   amd64        Linux kernel image for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-4.4.0-142-generic                4.4.0-142.168                   amd64        Linux kernel image for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-extra-4.4.0-137-generic          4.4.0-137.163                  amd64        Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-extra-4.4.0-138-generic          4.4.0-138.164                  amd64        Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-extra-4.4.0-139-generic          4.4.0-139.165                  amd64        Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-extra-4.4.0-140-generic          4.4.0-140.166                  amd64        Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-extra-4.4.0-141-generic          4.4.0-141.167                  amd64        Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-extra-4.4.0-142-generic          4.4.0-142.168                  amd64        Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP



...inoltre non sempre il kernel che crea problemi rende semplici le cose nel caso si volesse/dovesse reinstallare la versione del kernel precedente, qualora sia presente/disponibile appunto un solo kernel, quindi è buona norma non disinstallare/eliminare MAI la versione precedente del kernel.
__Ŧ__
'\°°/'
Γı /\ ı\   |7 Γı Γı Γı -|-
Avatar utente
derma
Rampante Reduce
Rampante Reduce
 
Messaggi: 7037
Iscrizione: settembre 2006
Località: Sicilia
Distribuzione: Ubuntu 15.10 (Wily Werewolf)

Re: [Risolto]NOn è possibile installare tutti gli aggiorname

Messaggioda ivantu » martedì 11 giugno 2019, 14:48

una premessa, con il kernel 4.18 della 18.10, a differenza di quando si aggiorna in automatico, c'è l'autoremove del kernel. Ma non nella 4.15 e precedenti.
Con autoremove si intende l'opzione però di mantenere l'ultimo e il precedente.
A prescindere, questa funzione non lo fa quando si installa il kernel aggiornato, ma si avvia l'autorimozione dei precedenti kernel, solo quando si riavvia il sistema una volta avviato il kernel nuovo. :sisi:
Buona giornata utenti del forum. :ciao: ivantu
Avatar utente
ivantu
Rampante Reduce
Rampante Reduce
 
Messaggi: 5190
Iscrizione: giugno 2013
Desktop: Lubuntu
Distribuzione: 18.04.2 LTS, 19.04
Sesso: Maschile

Re: [Risolto]NOn è possibile installare tutti gli aggiorname

Messaggioda et4beta » martedì 11 giugno 2019, 14:59

caturen Immagine ha scritto:
Devi solo evitare che in occasione dei prossimi aggiornamenti del kernel venga eseguito l'autoremove automatico
non esiste nessun autoremove automatico del sistema: i kernel che vengono installati con gli aggiornamenti del sistema rimangono sempre installati (infatti a volte vanno ad intasare la partizione di boot -chi ce l'ha- ed impediscono il normale funzionamento del sistema). I vecchi kernel vengono rimossi solo se l'utente da l'ok di farlo.

Hai ragione mi stavo confondendo con un'altra distro, mi sembra OPENSuse.
In Ubuntu viene solo suggerito di fare l'autoremove e da questi viene rimosso il terz'ultimo kernel.
Linux User #485103 - Ubuntu User #38220 - Desktop: MoBo Asus X99-A - Intel i7 5820K - RAM G.Skill Ripjaws V DDR4 32 Gb - GPU Asus STRIX Nvidia GTX 970 - Monitor Asus MG278Q - SSD Samsung 970 EVO Plus M.2 PCIe NVMe 500 Gb - SSD Samsung 850 EVO 500 Gb + 3 HDD (2 Seagate 2Tb+ 1 WD 2Tb) - / - Asus TUF Gaming FX705GE - i7 8750H - RAM 16 Gb - / - Asus K55VD i7 3610QM RAM 8Gb.
Avatar utente
et4beta
Rampante Reduce
Rampante Reduce
 
Messaggi: 7310
Iscrizione: gennaio 2008
Località: Ancona
Desktop: Gnome - (19.04 Cinnamon)
Distribuzione: 16.04-18.04-19.04-19.10 (NO UEFI)

Re: [Risolto]NOn è possibile installare tutti gli aggiorname

Messaggioda caturen » martedì 11 giugno 2019, 16:22

Hai ragione mi stavo confondendo con un'altra distro, mi sembra OPENSuse.
No, non è di sicuro opensuse perchè anche quella distro mantiene di default installati i vecchi kernel e bisogna toglierli a mano. Lo so perchè fino a poco tempo fa avevo in una partizione anche quella distro.
Ultima modifica di caturen il martedì 11 giugno 2019, 17:21, modificato 1 volta in totale.
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 15314
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: [Risolto]NOn è possibile installare tutti gli aggiorname

Messaggioda corradoventu » martedì 11 giugno 2019, 16:40

Il numero di kernels da conservare con autoremove è specificato in /etc/kernel/postinst.d/apt-auto-removal
trovi:
Codice: Seleziona tutto
previous_version="$(echo "$debverlist" | sed -n 2p)"
che conserva 2 vecchi kernel
se lo cambi in
Codice: Seleziona tutto
previous_version="$(echo "$debverlist" | sed -n 4p)"
ne conservi 4
vedi: https://askubuntu.com/questions/1066292 ... autoremove

attenzione dice:
# In the common case this results in two kernels saved (booted into the
# second-latest kernel, we install the latest kernel in an upgrade), but
# can save up to four. Kernel refers here to a distinct release, which can
# potentially be installed in multiple flavours counting as one kernel.

dunque fino a 4, non so cosa succererebbe specificando più di 4

In ogni caso se non si fa autoremove si dovrebbe stare al sicuro.

Nota: per mia fortuna autoremove non cancella vecchi kernel se ci sono più kernel installati da https://kernel.ubuntu.com/~kernel-ppa/mainline/
Con o senza religione, i buoni si comportano bene e i cattivi male, ma ci vuole la religione per far comportare male i buoni. (Steven Weinberg)
PC di casa: https://drive.google.com/folderview?id= ... sp=sharing
Avatar utente
corradoventu
Entusiasta Emergente
Entusiasta Emergente
 
Messaggi: 1575
Iscrizione: aprile 2008
Località: Bogliasco (GE) o Rezzoaglio (GE)
Desktop: GNOME
Distribuzione: Ubuntu 18.04, 19.04, 19.10
Sesso: Maschile

Re: [Risolto]NOn è possibile installare tutti gli aggiorname

Messaggioda woddy68 » martedì 11 giugno 2019, 17:06

...visto che la discussione è risolta, voglio solo dire che openSUSE mantiene nelle impostazioni di default solo l'ultimo kernel a meno che non si modifichi il file /etc/zypp/zypp.conf (multiversion(kernel) ). Infatti se in Yast cerco kernel ottengo solo l'ultimo e non a caso nei processi di avvio è attivo purge kernel.
https://it.opensuse.org/SDB:Tenere_inst ... del_kernel
Desktop - Acer Aspire M5500 (AMD) OpenSuse Leap 15 Kde -- Kubuntu 18.04 -- Tumbleweed
Notebook Acer Aspire E1 -522 (Amd) Tumbleweed - NO Windows ;)
Avatar utente
woddy68
Imperturbabile Insigne
Imperturbabile Insigne
 
Messaggi: 4453
Iscrizione: febbraio 2011
Località: Bellano Lc
Desktop: Kde Plasma5
Distribuzione: Leap 15 - Tumbleweed- Kubuntu 18.04
Sesso: Maschile

Re: [Risolto]NOn è possibile installare tutti gli aggiorname

Messaggioda et4beta » martedì 11 giugno 2019, 17:50

caturen Immagine ha scritto:
Hai ragione mi stavo confondendo con un'altra distro, mi sembra OPENSuse.
No, non è di sicuro opensuse perchè anche quella distro mantiene di default installati i vecchi kernel e bisogna toglierli a mano. Lo so perchè fino a poco tempo fa avevo in una partizione anche quella distro.

Allora sarà stata un'altra distro che ho provato ed il cui ricordo mi si è accavallato alle altre .... ma è così determinante? :(
Mi sembra poi che c'è chi conferma quanto ho dubbiosamente detto, c'è infatti una distro che all'aggiornamento del kernel elimina i vecchi, ma i ricordi di vecchie prove non sono sempre .... limpidi.
Linux User #485103 - Ubuntu User #38220 - Desktop: MoBo Asus X99-A - Intel i7 5820K - RAM G.Skill Ripjaws V DDR4 32 Gb - GPU Asus STRIX Nvidia GTX 970 - Monitor Asus MG278Q - SSD Samsung 970 EVO Plus M.2 PCIe NVMe 500 Gb - SSD Samsung 850 EVO 500 Gb + 3 HDD (2 Seagate 2Tb+ 1 WD 2Tb) - / - Asus TUF Gaming FX705GE - i7 8750H - RAM 16 Gb - / - Asus K55VD i7 3610QM RAM 8Gb.
Avatar utente
et4beta
Rampante Reduce
Rampante Reduce
 
Messaggi: 7310
Iscrizione: gennaio 2008
Località: Ancona
Desktop: Gnome - (19.04 Cinnamon)
Distribuzione: 16.04-18.04-19.04-19.10 (NO UEFI)

Precedente

Torna a Installazione e aggiornamento del sistema operativo

Chi c’è in linea

Visualizzano questa sezione: 0 utenti registrati e 10 ospiti